=== debian/changelog ===
mergerfs (2.14.0-1) unstable; urgency=medium

  * Initial release. (Closes: #832443)
  * [8f00ca2] Imported Upstream version 2.14.0
  * [3329c8d] Add initial debian/ work
  * [8289526] Add source packaging format
  * [bc4964d] Add patch to disable (useless) dist-clean
  * [0e9cb85] Enable hardening
  * [6d0aada] Update Makefile to include hardening flags
  * [52929c4] Add Vcs headers
  * [0f5eac0] Fix indentation of extended description
  * [fe1d768] Fix spelling error in package description

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 26 Jul 2016 13:54:30 +0530
