## mergerfs 2.16.1

=== Makefile ===
--- 
+++ 
@@ -71,7 +71,7 @@
 	      $(OPTS) \
 	      -Wno-unused-result \
               $(FUSE_CFLAGS) \
-              -DFUSE_USE_VERSION=26 \
+              -DFUSE_USE_VERSION=29 \
               -MMD \
 	      -DFLAG_NOPATH=$(FLAG_NOPATH) \
 	      -DFALLOCATE=$(FALLOCATE) \
