=== debian/changelog ===
mergerfs (2.16.1-1) unstable; urgency=medium

  * [cdc8ebd] New upstream version 2.16.1

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 29 Sep 2016 22:32:43 +0530

mergerfs (2.16.0-1) unstable; urgency=medium

  * [05be9d6] New upstream version 2.16.0

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 14 Sep 2016 20:37:15 +0530

mergerfs (2.15.0-1) unstable; urgency=medium

  * [a668581] Add README.Debian to explain tmpfs on /tmp use case
  * [7661f71] Add fuse's default_permissions option to make it behave
    more in line with standard file systems
  * [a75cc49] Imported Upstream version 2.15.0
  * [ad87171] Refine debian/copyright file
  * [36db803] Add patch to avoid upstream's gitignore

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 26 Aug 2016 15:34:50 +0530
