=== debian/changelog ===
mergerfs (2.17.0-2) unstable; urgency=medium

  * [420adc6] Add patch to ensure binary has proper version information

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 10 Dec 2016 16:35:51 +0530

mergerfs (2.17.0-1) unstable; urgency=medium

  * [08e6aa5] New upstream version 2.17.0

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 08 Dec 2016 23:29:34 +0530
