## mergerfs 2.18.0

=== Makefile ===
--- 
+++ 
@@ -132,8 +132,12 @@
 	$(CXX) $(CFLAGS) -c $< -o $@
 
 clean: rpm-clean
+ifneq ($(GIT),)
+ifeq  ($(shell test -e .git; echo $$?),0)
+	$(RM) -f src/version.hpp
+endif
+endif
 	$(RM) -rf obj
-	$(RM) -f src/version.hpp
 	$(RM) -f "$(TARGET)" mount.mergerfs
 	$(FIND) . -name "*~" -delete
