=== debian/changelog ===
mergerfs (2.18.0-1) unstable; urgency=medium

  * [50aeea4] New upstream version 2.18.0

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 21 Dec 2016 23:00:20 +0530
