## mergerfs 2.21.0

=== Makefile ===
--- 
+++ 
@@ -53,6 +53,7 @@
 endif
 
 FLAG_NOPATH = $(shell $(CPPFIND) "flag_nopath")
+FLAG_UTIME  = $(shell $(CPPFIND) "flag_utime_omit_ok")
 FALLOCATE   = $(shell $(CPPFIND) "fuse_fs_fallocate")
 FLOCK       = $(shell $(CPPFIND) "fuse_fs_flock")
 READ_BUF    = $(shell $(CPPFIND) "fuse_fs_read_buf")
@@ -74,6 +75,7 @@
               -DFUSE_USE_VERSION=29 \
               -MMD \
 	      -DFLAG_NOPATH=$(FLAG_NOPATH) \
+	      -DFLAG_UTIME=$(FLAG_UTIME) \
 	      -DFALLOCATE=$(FALLOCATE) \
               -DFLOCK=$(FLOCK) \
 	      -DREAD_BUF=$(READ_BUF) \
