=== debian/changelog ===
mergerfs (2.21.0-1) unstable; urgency=medium

  * New upstream version 2.21.0
  * Enable faster builds

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 20 Jun 2017 12:42:59 +0545

mergerfs (2.19.0-1) experimental; urgency=medium

  * New upstream version 2.19.0

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 20 Mar 2017 17:27:16 +0530
