=== debian/control ===
Source: mergerfs
Section: utils
Priority: optional
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~),
 libfuse-dev,
 libattr1-dev,
 pkg-config
Standards-Version: 3.9.8
Homepage: http://github.com/trapexit/mergerfs
Vcs-Git: https://anonscm.debian.org/git/collab-maint/mergerfs.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/mergerfs.git

Package: mergerfs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libfuse2
Description: another FUSE union filesystem
 mergerfs is a union filesystem geared towards simplifying storage and
 management of files across numerous commodity storage devices. It is
 similar to mhddfs, unionfs, and aufs.
 .
 Some salient features include
  * Runs in userspace (FUSE)
  * Configurable behaviors
  * Support for extended attributes (xattrs)
  * Support for file attributes (chattr)
  * Runtime configurable (via xattrs)
  * Safe to run as root
  * Opportunistic credential caching
  * Works with heterogeneous filesystem types
  * Handling of writes to full drives
  * Handles pool of readonly and read/write drives
