=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/mergerfs PREFIX=/usr install
