=== debian/changelog ===
mergerfs (2.24.2-4) unstable; urgency=medium

  * Fix FTCBFS. Let dh_auto_configure pass --host to libfuse/configure.
    Thanks to Helmut Grohne (Closes: #913842)
  * Filter out the .gitignore file

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 20 Nov 2018 19:23:28 +0530

mergerfs (2.24.2-3) unstable; urgency=medium

  * Switch project hosting to Salsa
  * Add explicit dependency on fuse (Closes: #905502)
  * Add 'use_ino' into example fstab mount options

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 18 Sep 2018 12:02:47 +0545

mergerfs (2.24.2-2) unstable; urgency=medium

  * Upload to Unstable

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 18 May 2018 12:22:12 +0545

mergerfs (2.24.2-1) experimental; urgency=medium

  * New upstream version 2.24.2
  * Refresh patches debian/patches/clean-makefile.patch

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 01 May 2018 09:25:55 +0545

mergerfs (2.23.1-1) experimental; urgency=medium

  * Update d/copyright to reflect license for embedded libfuse
  * New upstream version 2.23.1
  * Update patche clean-makefile.patch

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 28 Dec 2017 19:17:41 +0530

mergerfs (2.23.0+dfsg1-1) experimental; urgency=medium

  * New upstream version 2.23.0+dfsg1
  * Add experimental's gbp config
  * Refresh patches

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 29 Sep 2017 22:33:45 +0545
