=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Section: utils
 Priority: optional
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~),
+Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, dpkg-dev (>= 1.16.1~),
  libfuse-dev,
  libattr1-dev,
  pkg-config
 Standards-Version: 3.9.8
 Homepage: http://github.com/trapexit/mergerfs
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/mergerfs.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/mergerfs.git
+Vcs-Git: https://salsa.debian.org/debian/mergerfs.git
+Vcs-Browser: https://salsa.debian.org/debian/mergerfs
 
 Package: mergerfs
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- libfuse2
+ libfuse2,
+ fuse
 Description: another FUSE union filesystem
  mergerfs is a union filesystem geared towards simplifying storage and
  management of files across numerous commodity storage devices. It is
