=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,14 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+-include /usr/share/dpkg/buildtools.mk
+export CXX
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with=autoreconf
+
+override_dh_auto_configure:
+	dh_auto_configure --sourcedirectory=libfuse -- --enable-lib --disable-util --disable-example
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/mergerfs PREFIX=/usr install
