=== debian/changelog ===
mergerfs (2.28.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:49:42 +0100

mergerfs (2.28.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/copyright: Use https protocol in Format field

  [ Ritesh Raj Sarraf ]
  * New upstream version 2.28.1
  * Drop patches. Not needed anymore
  * Drop autoreconf and autoconf invocation
  * Bump debhelper compatibility to 12
  * Update Standards Version to 4.3.0
  * Use https in homepage field
  * Delete all obsolete patches
  * Drop build dependency on dh-autoreconf and pkg-config
  * Drop --parallel as it is enabed by default
  * Fix d/copyright with LGPL license header

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 15 Jul 2019 11:46:20 +0530
