=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, dpkg-dev (>= 1.16.1~),
+Build-Depends: debhelper (>= 12.0.0), dpkg-dev (>= 1.16.1~),
  libfuse-dev,
- libattr1-dev,
- pkg-config
-Standards-Version: 3.9.8
-Homepage: http://github.com/trapexit/mergerfs
+ libattr1-dev
+Standards-Version: 4.3.0
+Homepage: https://github.com/trapexit/mergerfs
 Vcs-Git: https://salsa.debian.org/debian/mergerfs.git
 Vcs-Browser: https://salsa.debian.org/debian/mergerfs
