=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,10 @@
 export CXX
 
 %:
-	dh $@ --parallel --with=autoreconf
+	dh $@
 
-override_dh_auto_configure:
-	dh_auto_configure --sourcedirectory=libfuse -- --enable-lib --disable-util --disable-example
+override_dh_autoreconf:
+	# Because there's no auto* files shipped anymore
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/mergerfs PREFIX=/usr install
