=== debian/changelog ===
mergerfs (2.29.0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #955285)
    + cross.patch: Make strip substitutable in libfuse/Makefile.
    + Override strip for make install.
    + export CC as make install rebuilds parts.

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 07 Apr 2020 12:25:24 +0530

mergerfs (2.29.0-1) unstable; urgency=medium

  * New upstream version 2.29.0
  * Bump Standards Version to 4.5.0
  * Add expiciti dependency to debhelper 12
  * Set DEBUG=1 in build config to generate debug symbols
  * Disable git cleaning during build
  * Add patch to better apply the hardening build flags

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 22 Mar 2020 18:47:17 +0530
