## mergerfs 2.31.0

=== Makefile ===
--- 
+++ 
@@ -40,9 +40,9 @@
 UGID_USE_RWLOCK = 0
 
 ifeq ($(DEBUG),1)
-DEBUG_FLAGS := -g
-else
-DEBUG_FLAGS :=
+OPT_FLAGS := -O0 -g
+else
+OPT_FLAGS := -O2
 endif
 
 ifeq ($(STATIC),1)
@@ -61,13 +61,14 @@
 OBJS        = $(SRC:src/%.cpp=build/%.o)
 DEPS        = $(SRC:src/%.cpp=build/%.d)
 MANPAGE     = mergerfs.1
-CXXFLAGS    = \
-              -O2 \
-              $(DEBUG_FLAGS) \
+CXXFLAGS    ?= ${OPT_FLAGS}
+CXXFLAGS    := \
+              ${CXXFLAGS} \
+              -std=c++0x \
               $(STATIC_FLAGS) \
               $(LTO_FLAGS) \
               -Wall \
-	      -Wno-unused-result \
+              -Wno-unused-result \
               -MMD
 FUSE_FLAGS = \
               -Ilibfuse/include \
@@ -76,9 +77,11 @@
 MFS_FLAGS  = \
 	      -DUSE_XATTR=$(USE_XATTR) \
 	      -DUGID_USE_RWLOCK=$(UGID_USE_RWLOCK)
-LDFLAGS    = \
-	      -pthread \
-              -lrt
+
+LDFLAGS := \
+    ${LDFLAGS} \
+    -pthread \
+    -lrt
 
 DESTDIR       =
 PREFIX        = /usr/local
@@ -230,6 +233,6 @@
 
 .PHONY: libfuse
 libfuse:
-	$(MAKE) -C libfuse
+	$(MAKE) DEBUG=$(DEBUG) -C libfuse
 
 -include $(DEPS)
