=== libfuse/Makefile ===
--- 
+++ 
@@ -1,9 +1,18 @@
-VERSION = 2.9.7-mergerfs_2.29.0
+VERSION = 2.9.7-mergerfs_2.30.0
+
+OS := $(shell uname -s)
+ifeq ($(OS),Linux)
+UTILS := utils
+INSTALLUTILS := install-utils
+else
+UTILS :=
+INSTALLUTILS :=
+endif
 
 ifeq ($(DEBUG),1)
-DEBUG_FLAGS := -g
+OPT_FLAGS := -O0 -g
 else
-DEBUG_FLAGS :=
+OPT_FLAGS := -O2
 endif
 
 DESTDIR       =
@@ -12,7 +21,7 @@
 DATAROOTDIR   = $(PREFIX)/share
 DATADIR       = $(DATAROOTDIR)
 BINDIR        = $(EXEC_PREFIX)/bin
-SBINDIR       = $(EXEC_PREFIX)/sbin
+SBINDIR       = /sbin
 MANDIR        = $(DATAROOTDIR)/man
 MAN1DIR       = $(MANDIR)/man1
 
@@ -20,12 +29,13 @@
 INSTALLSBINDIR = $(DESTDIR)$(SBINDIR)
 INSTALLMAN1DIR = $(DESTDIR)$(MAN1DIR)
 
+AR ?= ar
+
 SRC   = \
 	lib/buffer.c \
-	lib/cuse_lowlevel.c \
+	lib/fuse_dirents.c \
 	lib/fuse.c \
 	lib/fuse_kern_chan.c \
-	lib/fuse_loop.c \
 	lib/fuse_loop_mt.c \
 	lib/fuse_lowlevel.c \
 	lib/fuse_mt.c \
@@ -36,10 +46,10 @@
 	lib/mount.c
 OBJS = $(SRC:lib/%.c=build/%.o)
 DEPS = $(SRC:lib/%.c=build/%.d)
-
-CFLAGS = \
-	-O2 \
-	$(DEBUG_FLAGS) \
+CFLAGS ?= \
+	$(OPT_FLAGS)
+CFLAGS := \
+    ${CFLAGS} \
 	-Wall \
 	-pipe \
 	-MMD
@@ -52,11 +62,12 @@
 	-DFUSE_USE_VERSION=29 \
 	-DPACKAGE_VERSION=\"$(VERSION)\" \
 	-DFUSERMOUNT_DIR=\"$(FUSERMOUNT_DIR)\"
-LDFLAGS = \
+LDFLAGS := \
+	${LDFLAGS} \
 	-lrt \
 	-pthread
 
-all: build/libfuse.a mount.mergerfs mergerfs-fusermount
+all: build/libfuse.a $(UTILS)
 
 build/config.h: build/stamp
 	ecfd/build | tee build/config.h
@@ -69,7 +80,9 @@
 	$(MAKE) $(OBJS)
 
 build/libfuse.a: objects
-	ar rcs build/libfuse.a $(OBJS)
+	${AR} rcs build/libfuse.a $(OBJS)
+
+utils: mergerfs-fusermount mount.mergerfs
 
 build/mergerfs-fusermount: build/config.h util/fusermount.c lib/mount_util.c
 	$(CC) $(CFLAGS) $(FUSE_FLAGS) -Ilib -o build/mergerfs-fusermount util/fusermount.c lib/mount_util.c
@@ -93,12 +106,14 @@
 	strip --strip-all build/mount.mergerfs
 	strip --strip-all build/mergerfs-fusermount
 
-install: mergerfs-fusermount mount.mergerfs strip
+install-utils: mergerfs-fusermount mount.mergerfs strip
 	install -D build/mergerfs-fusermount "$(INSTALLBINDIR)/mergerfs-fusermount"
 	install -D build/mount.mergerfs "$(INSTALLSBINDIR)/mount.mergerfs"
-	chown root:root "$(INSTALLBINDIR)/mergerfs-fusermount"
+	chown root "$(INSTALLBINDIR)/mergerfs-fusermount"
 	chmod u+s "$(INSTALLBINDIR)/mergerfs-fusermount"
 
-.PHONY: objects strip
+install: $(INSTALLUTILS)
+
+.PHONY: objects strip utils install install-utils
 
 -include $(DEPS)
