=== debian/changelog ===
mergerfs (2.31.0-1ubuntu1) hirsute; urgency=medium

  * Skip dh_dwz, as it fails on ppc64el and s390x (LP: #1903748)

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 17 Feb 2021 11:28:08 +0100

mergerfs (2.31.0-1) unstable; urgency=medium

  * New upstream version 2.31.0
  * Refresh patches
  * Make patches pq clean

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 07 Oct 2020 13:28:41 +0530
