=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: mergerfs
 Section: utils
 Priority: optional
-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
-Build-Depends: debhelper (>= 12.0.0), dpkg-dev (>= 1.16.1~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Build-Depends: debhelper-compat (= 12), dpkg-dev (>= 1.16.1~),
  libfuse-dev,
  libattr1-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/trapexit/mergerfs
 Vcs-Git: https://salsa.debian.org/debian/mergerfs.git
 Vcs-Browser: https://salsa.debian.org/debian/mergerfs
