=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,12 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 -include /usr/share/dpkg/buildtools.mk
+export CC
 export CXX
+export DEBUG = 1
+
+# Disable git calling for cleaning
+export GIT_REPO = 0
 
 %:
 	dh $@
@@ -18,4 +23,7 @@
 	# Because there's no auto* files shipped anymore
 
 override_dh_auto_install:
-	$(MAKE) DESTDIR=$(CURDIR)/debian/mergerfs PREFIX=/usr install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/mergerfs PREFIX=/usr install STRIP=true
+
+override_dh_dwz:
+	-dh_dwz
