## mergerfs 2.32.6

=== debian/changelog ===
mergerfs (2.32.6-1) unstable; urgency=medium

  * New upstream version 2.32.6
  * Bump debhelper compatibility to 13

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 17 Aug 2021 15:45:51 +0530
