=== debian/changelog ===
mergerfs (2.33.3-1) unstable; urgency=medium

  * New upstream version 2.33.3
  * Refresh patches
  * Update copyright year

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 16 Feb 2022 13:51:06 +0530
