=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: mergerfs
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
-Build-Depends: debhelper-compat (= 12), dpkg-dev (>= 1.16.1~),
+Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~),
  libfuse-dev,
  libattr1-dev
 Standards-Version: 4.5.0
