## mergerfs 2.33.5

=== libfuse/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 endif
 
 ifeq ($(DEBUG),1)
-OPT_FLAGS := -O0 -g
+OPT_FLAGS := -O0 -g -fsanitize=undefined
 else
 OPT_FLAGS := -O2
 endif
@@ -33,12 +33,15 @@
 
 SRC   = \
 	lib/buffer.c \
+	lib/crc32b.c \
+	lib/debug.c \
+	lib/fuse.c \
 	lib/fuse_dirents.c \
-	lib/fuse.c \
 	lib/fuse_kern_chan.c \
 	lib/fuse_loop_mt.c \
 	lib/fuse_lowlevel.c \
 	lib/fuse_mt.c \
+	lib/fuse_node.c \
 	lib/fuse_opt.c \
 	lib/fuse_session.c \
 	lib/fuse_signals.c \
@@ -49,7 +52,8 @@
 CFLAGS ?= \
 	$(OPT_FLAGS)
 CFLAGS := \
-    ${CFLAGS} \
+	${CFLAGS} \
+	-std=gnu99 \
 	-Wall \
 	-pipe \
 	-MMD
