=== debian/changelog ===
mergerfs (2.33.5-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:55:41 +1100

mergerfs (2.33.5-1ubuntu1) noble; urgency=medium

  * Don't hard-code dependency on shared library.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Mar 2024 19:21:40 +0100

mergerfs (2.33.5-1build1) noble; urgency=high

  * No change rebuild against libfuse2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:44:11 +0100

mergerfs (2.33.5-1) unstable; urgency=medium

  * New upstream version 2.33.5

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 02 Sep 2022 17:00:28 +0530
