=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mergerfs
 Section: utils
 Priority: optional
-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~),
  libfuse-dev,
  libattr1-dev
@@ -14,7 +15,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- libfuse2,
+ ${lib:Depends},
  fuse
 Description: another FUSE union filesystem
  mergerfs is a union filesystem geared towards simplifying storage and
