=== debian/rules ===
--- 
+++ 
@@ -25,5 +25,7 @@
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/mergerfs PREFIX=/usr install STRIP=true
 
-override_dh_dwz:
-	-dh_dwz
+override_dh_gencontrol:
+	dh_gencontrol -- \
+	  -Vlib:Depends=$(shell dpkg-query -W -f '$${Depends}' libfuse-dev \
+			| sed -E 's/.*(libfuse[[:alnum:].-]+).*/\1/')
